org.apache.ignite.internal.processors.odbc

## Interface ClientListenerMessageParser

All Known Implementing Classes:
  ClientMessageParser, JdbcMessageParser, OdbcMessageParser

    public interface ClientListenerMessageParser

Client listener message parser.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientListenerRequest` `decode(byte[] msg)` Decode request from byte array.
`byte[]` `encode(ClientListenerResponse resp)` Encode response to byte array.

### Method Detail

#### decode

    ClientListenerRequest decode(byte[] msg)

Decode request from byte array.

Parameters:
  `msg` - Message.
Returns:
  Request.

#### encode

    byte[] encode(ClientListenerResponse resp)

Encode response to byte array.

Parameters:
  `resp` - Response.
Returns:
  Message.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018